Bluetooth headset/speakers listed but not selectable in Sound settings

Bug #1283003 reported by Fabien Lusseau on 2014-02-21
780
This bug affects 157 people
Affects Status Importance Assigned to Milestone
Blueman
New
Undecided
Unassigned
blueman (Ubuntu)
High
Unassigned
Xenial
Undecided
Unassigned
bluez (Ubuntu)
High
Unassigned
gnome-bluetooth (Ubuntu)
High
Unassigned
Xenial
Undecided
Unassigned
pulseaudio (Ubuntu)
High
Unassigned
Xenial
High
Daniel van Vugt

Bug Description

[Impact]
Bluetooth headset/speakers are listed but not selectable in Sound settings (the correct device's options don't appear in the right pane). Hence no Bluetooth audio is unusable.

[Test Case]
1. Pair a Bluetooth audio device with Ubuntu.
2. Go to Sound settings and try to select the device.
Expected: The Bluetooth audio device is selectable (its options appear in the right pane when clicked and the selection stays on that device).

[Regression Potential]
Low. The SRU focuses on Bluetooth logic in pulseaudio, so that is the main area affected. A combination of related A2DP bugs in pulseaudio in xenial means it is difficult to get working at all without this patch. So highly unlikely Bluetooth audio support could get worse. Since pulseaudio itself is being modified there is always a regression potential in support for other audio devices, but several audio devices have been tested and all continue to work well with the patch.

[Other notes]
Related to bug 1438510 and bug 1582213. Possibly others too. The debdiff which fixes this is attached to bug 1582213.

Please note that Bluetooth and Bluetooth audio support in xenial is still not perfect. This SRU only aims to address a few of the most troublesome issues. Please consider the fact that this is an incremental improvement and some people are still likely to experience some bugs related to pulseaudio and Bluetooth, even after this SRU.

The patch was authored by Luke Yelavich with help from Konrad Zapałowicz. And it has received further testing over the past two months by Konrad, Jim Hodapp and Daniel van Vugt. The debdiff proposed here only changes the changelog wording from Luke's original PPA.

[Original Description]
Hi,

I found a bug in Ubuntu 14.04 !

I tried to pair a bluetooth stereo headset (A2DP compatible). The pairing process goes well, but after that I can't select it on the audio preferences.

When I select it, it only shows the last selected item options and don't do anything. (he should switch to the headset output).
I must mention that it worked very well on Ubuntu 12.04.

This bug can be in the bluetooth stack or in unity-control-center or maybe pulseaudio. I actually have no idea.

Lee Davis (lee-gixxer) wrote :

I am having the same problem with the Bose Soundlink III worked (mostly fine) until Friday evening updates (02-28-2014), .

In fact, if I enable bluetooth from the setting dialog it immediately stops after enabling. If I hardware disable bluetooth, then turn it back on I can then try and pair the device, but nothing is ever found. I did see some bluetooth and pulse audio updates come down the pike, but no idea what is causing this problem

If there is any information I could provide that would be helpful please let me know.
Lenovo T61P
Ubuntu 14.04 - 3.13.0-10-generic

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-control-center (Ubuntu):
status: New → Confirmed
no longer affects: unity-control-center
Changed in unity-control-center (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
cacula (cacula) wrote :

same here. while trying to pair a new device no device is found

dell latitude e6510. Ubuntu 14.04 - all updates installed

Akaname (akaname) wrote :

Same problem for me. No devices found. Until and including Ubuntu 13.10 no problems with bluetooth audio.

Of course, hardware key for WiFi and Bluetooth is activated.

State "On" and "Off" in Unity Bluetooth menu and Bluetooth dialog seem to be not in sync. If I change one of them, the change is not reflected in the other. Perhaps switching to "On" does not work in both places?

HP 635, Ubuntu 14.04, all updates installed.

Nathan Haines (nhaines) wrote :

My symptoms match the above, but most importantly, booting from a daily trusty image, Bluetooth works perfectly, while on the desktop it stopped working after the upgrade.

Chris (crm7290) wrote :

I have the above issue also. Running 14.04. Bluetooth worked fine prior to the upgrade from 12.04.

I do note that during the update, I noticed that my bluetooth failed. I was putzing around on the web while the updater was running and my mouse eventually failed to move. I believe it was when it was adding packages.

I am also encountering the Bluetooth menu and dialog box not being synced together.

Has a workaround been found at this time?

JohnDoe_71Rus (johndoe99) wrote :

Similar situation.
Lubuntu 14.04
The headset is paired, the profile is connected. Device for sound output does not appear.

Andrea Pivetta (vanpivix) wrote :

Same here, with an Apple wireless keyboard. The keyboard wasn't working so I tried to remove and readd it but my computer can't find it. My nexus 4 finds the keyboard in a second.

Hi, I have the same problem with two different bluetooth a2dp devices, maybe this could be useful:

E: [pulseaudio] bluetooth-util.c: org.bluez.Media.RegisterEndpoint() failed: org.freedesktop.DBus.Error.UnknownMethod: Method "RegisterEndpoint" with signature "oa{sv}" on interface "org.bluez.Media" doesn't exist
E: [pulseaudio] bluetooth-util.c: org.bluez.Media.RegisterEndpoint() failed: org.freedesktop.DBus.Error.UnknownMethod: Method "RegisterEndpoint" with signature "oa{sv}" on interface "org.bluez.Media" doesn't exist
E: [pulseaudio] bluetooth-util.c: org.bluez.Media.RegisterEndpoint() failed: org.freedesktop.DBus.Error.UnknownMethod: Method "RegisterEndpoint" with signature "oa{sv}" on interface "org.bluez.Media" doesn't exist
E: [pulseaudio] bluetooth-util.c: org.bluez.Media.RegisterEndpoint() failed: org.freedesktop.DBus.Error.UnknownMethod: Method "RegisterEndpoint" with signature "oa{sv}" on interface "org.bluez.Media" doesn't exist
E: [pulseaudio] bluetooth-util.c: Volume change does not have an associated transport
E: [pulseaudio] bluetooth-util.c: Volume change does not have an associated transpor

jasonshim (jhundais) wrote :

Rebooting somehow makes the bluetooth forget all the paired devices.

I now have to re-pair all my bluetooth devices every boot.

A2DP is the least of my problems.

Ge-org Brohammer (george97477) wrote :

Also affects me but if I use Veromix to force the output device it works until I open the sound settings again and it changes the output device back always.

jay (jayanth-murthy) wrote :

Upgraded to 14.04. Apple bluetooth keyboard stops working after login. Strangely works only during login where I can enter the password after the keyboard auto connects. Bluetooth mouse works fine though. See a lock symbol on the Bluetooth tray icon.

Colum Gaynor (columgaynor) wrote :

After upgrade from Ubuntu 12.04 LTS to Ubuntu 14.04 LTS (32 bit version) for my LG F1 Express Dual, I cannot get reliable A2DP working on my Bluetooth Headset - Model is Philips SHB4000. The old trick of using Blueman / Refresh Services and then re-connect no longer works. With sufficient tinkering around, mostly removing the device and then re-pairing with PIN 0000 option,
I can sometime get the device to work and even enter the High Fidelity A2DP mode, but the exact working sequence seems to be unpredictable. I also upgrades my Fujitsu Amilo PA3553 64bit from Ubuntu 12.04 LTS to 14.04 LTS, but the same device seems to work correctly there. I'd be happy to attach logs, if anyone can advise what should be captured. -Colum

Omri Stein (omri-stein) wrote :

Had the same problem fixed it with:
"pactl list cards short" to get the device id
then I did "pactl set-card-profile x a2dp"
where X is your device id

found it by reading
http://askubuntu.com/questions/203272/no-a2dp-streaming-audio-from-12-04-to-bluetooth-headset

Akaname (akaname) wrote :

During different states of updates in Ubuntu 14.04 I experienced all bugs from original bug description (pairing works, but no audio) and also from comment #1 and comment #4 (pairing does not work, no devices found).

This actually solved my problems:

sudo mv /etc/bluetooth /etc/bluetooth.backup
sudo apt-get install --reinstall bluez

After a reboot everything is working again. The /etc/bluetooth directory is empty now.

If this does not work for you, just move back the bluetoth.backup directory to it's original place.

Kiori (kiori) wrote :

I've tried any and all solutions, nothing works. it was working flawlesly with 13.10. I'm thinking about ditching bluez and trying another app, anyone had success with blueman?

Kiori (kiori) wrote :

I just tested it off a xubuntu 14.04 image, and it works as intended with blueman, its clearly a bluez issue. If i use blueman under ubuntu without removing bluez, things get confused, but at least it recognizes the device. My guess is that removing bluez will solve things altogether, the problem is that bluez is tied to everything-buntu so its really -not- a option. No solution so far.

JoeD (nichtsowichtig88) wrote :

In my 14.04 bluez seems to be connecting ok. My headset connects with headset profile but I don't have audio devices to actually direct streams to the headset. This appears pulseaudio related. Listing the modules with "pactl list" I cannot find "bluetooth-device" and only my default audio sink. When I try to "pactl load-module module-bluetooth-device" directly it says "Failure: Module initialization failed".
I had some success when I did "pactl load-module module-bluetooth-discover" it loaded the discover and device module and created an audio sink. Unfortunately I now have my headset twice in audio settings and it will only do "headset" I can't put it to a2dp.
At least as a headset it is working now.

Kiori (kiori) wrote :

JoeD
My doesnt connect, doesnt discover, unless i use blueman, but you have to make sure pulseaudio-module-bluetooth is installed.

In Blueman i can select what it connects, and avoid the duplicate issue you described and connects to A2DP(audio sink).
It sometimes bugs out, and it has crashed my sound system-wise, but generally it can work.

Colum Gaynor (columgaynor) wrote :

@Omri Stein, @Akaname, @Kiori, @Joe D.

First some good news... There seems to be a simple workaround to restore the highquality A2DP interworking to your Bluetooth headset.

1) Use Blueman to pair to the headset. My experience was that it will pair and even connect as headset with the horrible audio
     quality "Telephony Duplex (HSP/HFP)" audio profile.
2) The Ubuntu Sound Control panel wont however show the Bluetooth device yet!
3) Open a command terminal and issue the command: pulseaudio -k
4) After a short delay you should see the Headset appear in the listed audio devices of the Ubuntu Sound Control Panel
5) Select the device and connect some audio source (VLC Media or your favourite player)... The quality will still be poor...
6) Now use Blueman GUI, select the device and press mouse right click and then select the "Refresh Services".
     It should show a succes message in the lower status bar.
7) Right click on the headset device in Blueman GUI and select Audio Sink. If it displays a success message your in luck.
8) Now right click the headset device in Blueman GUI and select Audio Profile menu and then select "High Fidelity Playback (A2DP)". It should suceed and switch into the correct mode.

==> You will always have to issue the "pulseaudio -k" command from terminal before using the headset, but it's a tolerable
        work around.

Hope this works for you too. -Colum

Kiori (kiori) wrote :

Colum,
After Blueman did its job, you have to activate the 'audio sink' component, personally i leave both on.
-But- after that you can just go to the sound options and switch to a2dp on the go, if blueman initiated audio sink, it will show up in the options, no need to use the audio profile route.
Ofcourse resetting pulse audio is a req. also.
Currently i have a2dp on the ears and the mic on, at the same time, because of this on the go switching in the sound options.
Its sad that Ubuntu doesnt use blueman or an implementation based on it, this could be one of those 'it just works' scenarios, without blueman it wont even pair my device...

CG: Many thanks for the tip. I had similar issues in Ubuntu 13.10
whereas 12.04 worked fine. I had hoped 14.04 would have solved it. I
also agree with you about Blueman. Without it I would have given up on
Bluetooth on Ubuntu long ago. Regards Colum :-D

Sent from my Windows Phone
From: Kiori
Sent: 23/04/2014 16:11
To: <email address hidden>
Subject: [Bug 1283003] Re: [Bluetooth + 14.04] Bluetooth headsets are
not working after last couple of updates
Colum,
After Blueman did its job, you have to activate the 'audio sink'
component, personally i leave both on.
-But- after that you can just go to the sound options and switch to
a2dp on the go, if blueman initiated audio sink, it will show up in
the options, no need to use the audio profile route.
Ofcourse resetting pulse audio is a req. also.
Currently i have a2dp on the ears and the mic on, at the same time,
because of this on the go switching in the sound options.
Its sad that Ubuntu doesnt use blueman or an implementation based on
it, this could be one of those 'it just works' scenarios, without
blueman it wont even pair my device...

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1283003

Title:
  [Bluetooth + 14.04] Bluetooth headsets are not working after last
  couple of updates

Status in “gnome-bluetooth” package in Ubuntu:
  New
Status in “unity-control-center” package in Ubuntu:
  Confirmed

Bug description:
  Hi,

  I found a bug in Ubuntu 14.04 !

  I tried to pair a bluetooth stereo headset (A2DP compatible). The
  pairing process goes well, but after that I can't select it on the
  audio preferences.

  When I select it, it only shows the last selected item options and
don't do anything. (he should switch to the headset output).
  I must mention that it worked very well on Ubuntu 12.04.

  This bug can be in the bluetooth stack or in unity-control-center or
  maybe pulseaudio. I actually have no idea.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-bluetooth/+bug/1283003/+subscriptions

using sony vaio on ubuntu 14.04 and no devices found on when pairing. I have tried multiple devices too. One was a bluetooth headset and the other my samsung galaxy phone.

I then tried to see if my phone would see it visible if I turned the visibility to on on ubuntu but its still the same.

thanks
MorNando

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-bluetooth (Ubuntu):
status: New → Confirmed
zig59 (zig-59) wrote :

Unbuntu 14.04 desktop 64bit. Standard install.

Motorola S805 BT headphones found, paired and connected fine.
Connects/disconnects automatically upon switching headphones on/off. BT lock icon shows connection status.
Headphones listed on output and input tabs in Sound Settings.

But...

System doesn't automatically select the headphones as output/input in Sound Settings.
Manually selecting the headphones in Sound Settings makes no difference, the sound still comes out of the amplified speakers and there is no recognition of input through the headphone mic.
So close...

If any logs required please instruct. Thanks

RazTaz (qvovadis) wrote :

I confirm the problems.

I run Ubuntu 14.04 and it fails to route the sound to my external bluetooth speaker (Logitech UE Boom), which used to work nice and easy under 12.04.

The speaker is recognized and I can pair it with the computer . The service (Audio Sink) is recognized by Blueman, but it fails to connect and hence the external speaker, does not apear in the list of sound output devices.

Finally, I tried to install pulseaudio-module-bluetooth but this did not solve the problem either.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in blueman (Ubuntu):
status: New → Confirmed
RazTaz (qvovadis) wrote :

My problem was resolved by applying the sollution listed here: https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1199059/comments/13 :

"The real issue was that module-bluetooth-discover was not loading (and still does not automatically)

Test by:
pactl list | grep -i module-bluetooth-discover

If empty load via
 pactl load-module module-bluetooth-discover

Pulse audio will then (hopefully) recognize the device"

I would like to thank Sebastian F (sf-lp) for pointing me in the right direction, as it seems the bugs were related (at least in my case).

Karim Sonbol (karim-sonbol279) wrote :

The solution in last comment by RazTaz (qvovadis) worked for me (using Philips SounShooter)! I just need to find how to make it run at every login.

Sebastien Bacher (seb128) wrote :

David, could you have a look to the pulseaudio side in case that's an issue there (see recent comments)

affects: unity-control-center (Ubuntu) → pulseaudio (Ubuntu)
Changed in pulseaudio (Ubuntu):
assignee: nobody → David Henningsson (diwic)
David Henningsson (diwic) wrote :

Ok, I first did a quick test here and my BT headset paired, showed up in sound settings, worked as usual, and profile was selectable. So at least the problem is not *that* generic.

Anyway, module-bluetooth-discover is loaded from /etc/pulse/default.pa, which is run every time pulseaudio starts. If it did not load, hopefully there is some related error in syslog.

So if you can verify that module-bluetooth-discover is indeed *not* loaded (i e does not show up in "pactl list modules"), hopefully there should be an error message in syslog indicating why it did not start. So, could you do a:
grep "pulseaudio.*bluetooth" /var/log/syslog
...to see if you find anything that looks suspicious?

Thanks!

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
zig59 (zig-59) wrote :

Like you David, my BT headset is paired and connecting when switched on. The profile is also showing up in Sound Settings.

In my case though, the profile is not being autoselected in Sound Settings and manually selecting it does nothing. Sound is still routed through the wired amplified speakers.

pactl list | grep -i module-bluetooth-discover simply shows
Name: module-bluetooth-discover

Prior to switching on the headset: grep "pulseaudio.*bluetooth" /var/log/syslog shows nothing.

Post switching on the headset: grep "pulseaudio.*bluetooth" /var/log/syslog shows
pulseaudio[1928]: [pulseaudio] module.c: Module "module-bluetooth-discover" should be loaded once at most. Refusing to load.
pulseaudio[1928]: [pulseaudio] module-bluetooth-device.c: Failed to acquire transport /org/bluez/716/hci0/dev_00_0C_55_D1_91_ED/fd0

David Henningsson (diwic) wrote :

Ok, so this is several bugs in one then...

 > pulseaudio[1928]: [pulseaudio] module-bluetooth-device.c: Failed to acquire transport /org/bluez/716/hci0/dev_00_0C_55_D1_91_ED/fd0

For this error, if it appears when you're trying to switch to the headset, it looks like something on the bluez side. Look for bluez errors in syslog right above this line. Also make sure /etc/bluetooth/audio.conf is unchanged (in particular, the socket interface must remain disabled).

zig59 (zig-59) wrote :

Incidentally, (follow-up from comment #33), in my case, "pactl load-module module-bluetooth-discover" as per RazTaz's post #29 simply throws up the message:
pulseaudio[1928]: [pulseaudio] module.c: Module "module-bluetooth-discover" should be loaded once at most. Refusing to load.

zig59 (zig-59) wrote :

David, in response to comment #34 the log entries prior to the bluetooth error are showing:
Apr 29 09:06:52 Voyager kernel: [ 2013.010319] Bluetooth: re-auth of legacy device is not possible.
Apr 29 09:06:55 Voyager bluetoothd[716]: Protocol not supported (93)

I'm not exactly sure what to be looking for in the audio.conf file so, as it's not very big, I've attached it in case it provides any info. Modification date says 13 June 2012.

David Henningsson (diwic) wrote :

 > Apr 29 09:06:52 Voyager kernel: [ 2013.010319] Bluetooth: re-auth of legacy device is not possible.
 > Apr 29 09:06:55 Voyager bluetoothd[716]: Protocol not supported (93)

This indeed looks like the kernel is at fault. I don't know much bluetooth (I'm more into the audio side of things), so can't help further. Sorry.

I can confirm the problem exists with my hardware as well.

Medion MD86751, Ubuntu 14.04 with latest updates.

How do I report this upstream? I am fairly inexperienced with submitting bugs.

CG: @David:
        Could you please consider to reverse the status back from
'INCOMPLETE' to 'CONFIRMED' (again).

        There would /seem/ to be a real issue which has been confirmed
by several contributors
        in this thread...

         Regards Colum

On 29.04.2014 12:58, David Henningsson wrote:
>> Apr 29 09:06:52 Voyager kernel: [ 2013.010319] Bluetooth: re-auth of legacy device is not possible.
> > Apr 29 09:06:55 Voyager bluetoothd[716]: Protocol not supported (93)
>
> This indeed looks like the kernel is at fault. I don't know much
> bluetooth (I'm more into the audio side of things), so can't help
> further. Sorry.
>

Hi, I'm also having issues with Bluetooth on a fresh install of Ubuntu 14.04. I have the RT3290 chipset and had to patch and compile the Bluetooth driver from source. After installing the Bluetooth driver, the Bluetooth icon shows up as expected and I can try to pair with other devices. I tested with Logitech Bluetooth Headset for iPad2 and with a Siliphone Bluetooth Speaker. Both worked perfectly fine under Ubuntu 12.04. However, when I try to pair the devices I always get something like "Failure configuring device" (not this exact words because my Ubuntu is not in english). It happens with both. I also tried with bluez-simple-agent and I get the error "Creating device failed: org.bluez.Error.AuthenticationFailed: Authentication Failed". It never prompted me to input any passkey. When testing I also noticed that the Bluetooth tray icon gets a small lock next to it.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Invalid
Sebastian F (sf-lp) on 2014-06-10
affects: blueman (Ubuntu) → blueman
Sebastian F (sf-lp) on 2014-06-10
Changed in blueman (Ubuntu):
status: New → Confirmed
Sebastian F (sf-lp) on 2014-07-06
no longer affects: blueman
Changed in blueman (Ubuntu):
status: Confirmed → In Progress
mike (keepcool) on 2014-07-26
Changed in gnome-bluetooth (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
Changed in blueman (Ubuntu):
status: In Progress → Confirmed
Changed in blueman (Ubuntu):
status: Confirmed → Fix Released
Changed in pulseaudio (Ubuntu):
status: Invalid → Confirmed
affects: pulseaudio (Ubuntu) → ubuntu
Changed in ubuntu:
assignee: David Henningsson (diwic) → nobody
Dave Chiluk (chiluk) on 2014-09-18
tags: added: ua
antonio (vayven55) on 2014-12-12
Changed in ubuntu:
status: Confirmed → New
Changed in ubuntu:
status: New → Confirmed
97 comments hidden view all 177 comments
garypeg (pegngary) wrote :

Add me to the list of those effected. I have to go through quite the rigamarole to get it working

1) in terminal sudo pactl load-module module-bluetooth-discover
2) blueman- setup, choose A2DP
3) PAVU- select A2DP
4) Then I select the device with the volume/sound settings.

14.04 with all the latest updates. I hope this issue can be addressed. Thanks!

Danil Smirnov (ulrith) wrote :

Have exactly the same issue like poster has.

Working solution:
http://askubuntu.com/a/391720/57122

davide (davicaputo) wrote :

I'm having the same problem with a Bose Soundlink III and msi laptop with ubuntu 14.04 64 bit. I can confirm that a working solution is(as reported above): http://askubuntu.com/a/391720/57122.
I think that my problem was the absence of pavucontrol package. After its installation and rebooting the machine the bluetooth connection works well (I have only to put manually as main audio peripheral the soundlink III in the audio control panel).
I hope this helps.

Pablo Guevara (pablomguevara) wrote :

Same issue dell E5530 Ubuntu 14.04.1 LTS

instructions on #138 work for me also

gregrwm (gregrwm) wrote :

things are a little better for me on vivid. my 2 headsets both pair, will set as Headset Service, show up in pavucontrol, and even work with gmail(via firefox via google chat plugin)!

still not working: bose soundlink iii will pair, and even work via ~/.asoundrc, but will not show up pavucontrol.

also not working: neither linphone, sflphone, nor ekiga can find my headsets.

gregrwm (gregrwm) wrote :

i should mention in /etc/bluetooth/audio.conf after [General] i needed to insert:
Enable=Socket

V字龍(Vdragon) (vdragon) wrote :

Hi, I managed to "workaround" this issue by following Mattia Belluco's workaround by the following Debian bug report message:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=725610#89

```
More specifically to make a bluetooth headset work in A2DP mode I had to
change settings in audio.conf:

SCORouting=PCM

and keep sure Socket stay disabled.

Once you've done that you would still get a "Stream setup failed error"
unless you manually load module-bluetooth-discover with:

$ pactl load-module module-bluetooth-discover

If the module was not loaded you'll get a number as exit code and that
being the case your next connection attempt should succeed.

I hope that helps.
```

N4RPS (n4rps-m) wrote :

Hello!

We fixed this in Linux Lite months ago. What you folks need is the latest version of blueman from the PPA.

More details here:

https://www.linuxliteos.com/forums/index.php?topic=558.msg8864#msg8864

Hope this helps; works for me...

73 DE N4RPS
Rob

Angel-inn (christian-bizet) wrote :

I find this workaround:

cb@cb-AO725:~$ sudo /etc/init.d/bluetooth restart
[sudo] password for cb:
 * Stopping bluetooth [ OK ]
 * Starting bluetooth [ OK ]
cb@cb-AO725:~$ pulseaudio -k
cb@cb-AO725:~$ pulseaudio --start

But it's working only sometime !

affects: ubuntu → bluez (Ubuntu)
rpkrawczyk (rpkrawczyk) wrote :

The only thing working seems to be the fix in #29... Anything else so far?

Hi everyone
We al have faced the same problem with Bluetooth not connecting. Managed to fix the issue, this way:
1.You need root permissions
2. Go to Computer/etc/bluetooth/audio.conf and open as a root via terminal or GUI.
Add to - [General]
Enable = Sink
Enable= Source
Enable=Gateway

Remove the # before :
1.Disable=Gateway,Source,Socket
2.AutoConnect=true
3.[Headset]
4.[HFP=true
5.[A2DP]
   SBCSources=1
   MPEG12Sources=0

dreamon (db4mt) wrote :

hello

this helped me out.

sudo apt-get purge pulseaudio-module-bluetooth bluetooth bluez-* bluez
sudo apt-get install blueman bluez pulseaudio-module-bluetooth --install-suggests
pactl load-module module-bluetooth-discover

found here -> http://firstdoit.com/quick-tip-bluetooth-a2dp-on-linux-mint-17-qiana-mate/?utm_source=blog.gadr.me

but works on Ubuntu 14.04 perfect (for me) .. good luck

Torsten Harenberg (harenberg) wrote :

After reading a lot of bug reports and trying several solutions which helped other people (for example #149), but I am still stuck getting Ubuntu 14.04 to work with Bose Soundlink Headphones. Host is a Lenovo Carbon X1 Carbon 3rd gen - having an Intel 7265 card.

I am able to pair, and also can set the A2DP profile for this device. After a couple of seconds however, the device disconnects and kernel log has a couple of

[ 50.181581] Bluetooth: hci0 SCO packet for unknown connection handle 0

lines. Afterwards, the device rejects re-connection, only re-pairing will bring it back to a connected state.

The device works fine with other hosts like several Android phones and tablets, a MacBookAir running OS X, but I also got it running with the same laptop (!) running Ubuntu 15.04. However, for my work I need to stick with 14.04 to be compatible with colleagues.

Suspected a bug in the firmware, but I couldn't found newer firmware than the one already used:

[ 760.815953] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.8.10-fw-1.10.3.11.e.bseq
[ 760.895882] Bluetooth: hci0: Intel Bluetooth firmware patch completed and activated

Tried several kernel versions, no luck either.

Anyone with a idea how to fix the "SCO packet for unknown connection handle" problem?

Torsten Harenberg (harenberg) wrote :

Sorry for self-replying.. after another hour, I applied #15, deleted the pairing, used blueman to re-pair and now it works :). Finally :) Thanks everyone for the nice thread.

Walter Lapchynski (wxl) wrote :

Currently, on Lubuntu Trusty, I have no problems with Skullcandy Hesh 2 and:
 * kernel 3.13.0-63-generic #103
 * pulseaudio 1:4.0-0ubuntu11.1+kxstudio1 (I did not test with the standard Canonical version, sorry)
 * bluez 4.101-0ubuntu13.1
 * blueman 1.23-git201403102151-1ubuntu

though I will note it's not always as seamless as I would like. I've discovered elsewhere people suggesting that the adapter is turned on after pulse does its check for bluetooth adapters. That leaves you two choices:
 1. pactl load-module module-bluetooth-discover && pulseaudio -k (note actually sending a KILL signal to the daemon may get it unstuck if it's not behaving)
 2. remove the conditional from /etc/pulse/default.pa regarding loading module-bluetooth-discover
neither of which are particularly elegant, but oh well.

This and similar issues are ultimately an aesthetic issue, though, and deserve a separate bug report, as this more general one has brown extensive enough. From my experience, audio sink service (A2DP) *IS* possible with current versions.

I'm inclined to call this fixed, unless I hear otherwise from folks.

Malcolm Brown (waimangu) wrote :

I have two notebook computers - a Toshiba and a Fujitsu both of which are very old and are both dual boot computers with Windows 7 and Ubuntu 14.04 LTE 32 bit. Both computers and both operating systems work fine with Bluetooth linking to a Bose mini soundlink speaker for playing music. I use a USB bluetooth dongle for the link and all works well.

However, with a much newer laptop, a Toshiba Satellite Pro C50-A-1K9 running the 64 bit version of Ubuntu 14.04 LTE I cannot get bluetooth to work despite using the same dongle and the same speaker. The first time it finds the device, attempts to pair, but asks that a particular 4 digit code be entered from the device. This is of course impossible as the Bose mini soundlink speaker does not have a keypad! Further attempts to search for bluetooth devices after this first time find nothing. If I then go back to the old notepad computers they also cannot find the device at all with either Windows or Ubuntu 14.04 32 bit. I strongly suspect that the 64 bit version of Ubuntu 14.04 LTE has sent a code to the speaker which prevents it linking via bluetooth thereafter.

If anyone else has the Bose mini soundlink speaker and needs to overcome this problem, then

Perform a factory reset on the speaker by first turning it on then holding down the bluetooth button for about ten seconds when the speaker beeps and will now work again with the old computers and windows 7 or Ubuntu 14.04 LTE 32 bit.

Hope a skilled programmer finds the bug!

I've applied all the fixes that folks have recommended; I still need to do the workaround from comment #29

{QUOTE] Test by:
pactl list | grep -i module-bluetooth-discover

If empty load via
 pactl load-module module-bluetooth-discover [/QUOTE]

Just think, in 4 more months Ubuntu 14.04 will be EOL and this will still be an open bug! So much for the much-vaunted LTS releases...

This is far from fixed IMO.

John (jdr23bc) wrote :

I experienced the exact same issue as in the description. My problem seemed to be caused by the system auto-logging into the guest account on boot. After I disabled that feature the issue was resolved for my main account

The same problem for me,I can't change my sound quality in my JBL Extreme speaker :/

Adam Niedling (krychek) on 2016-04-23
tags: added: xenial
Changed in gnome-bluetooth (Ubuntu):
importance: Undecided → High
Changed in blueman (Ubuntu):
importance: Undecided → High
lupa (lupa18) wrote :

+1

Boris (just-boris) wrote :

I have got this bug. If you need some debug information, I can provide it.

Buggy bluetooth has been around since 15.04 when I had devices to connect. I experience similar problems as many others that the connection is full of bug and pray. It is time it change!

I am using Ubuntu 16.04, XUbuntu 16.04 and Ubuntu 15.04.

Let me know if I can contribute with log reports etc.

Compinfer (nvkinf) wrote :

After upgrade from ubuntu 14.04 to 16.04 can not switch from A2DP to HSP in gnome-control-center sound.

MarcVG (marc-vangiel) wrote :

Same problem in 16.04 on Dell 5510 Precision workstation.

Bose Soundlink (Tangent-BT) gets paired, but does not show in control panel as output option.
Bose Mini Soundlink gets paired, but does not show as output option.

However, Jawbone Big Jambox gets paired, AND shows up as "headset" output option. But sounds distorted and volume ramps up and down again at times.

andrew.gedz (andrew.gedz) wrote :

I've got problem with Jabra Rox Wireless in pairing mode hangs up ubuntu 16.04(current) also same problem on previously installed 14.04. What info I can provide to help to investigate this ?

Michaele Raffeisen (qvm) wrote :

I am Affected Too! I bought a Headset it aint working. got it working once or twice with a lot of work as far as I can tell it sometimes it works and sometimes doesn't with those workarounds described here. I haven't found a permanent solution for the Problem though. pairing process works fine. but my headset doesn't show up in pulseaudio.

Brian Taber (btaber) wrote :

what an ordeal to get a bluetooth headset working in 16.04, way worse than 14.04 was (at least in 14.04 it only would not keep the output profile and had to select the headset output on every re-connection)

I have a Voyager Legend that will pair but not function. This device shows up initially as headset unit (mono) but selecting it does not work. I have to restart the bluetooth service, kill pulseaudio, then sometimes it will start working in HSP. Then I change it to A2DP mode and it stops working (I can not select it as output anymore, when I change it to A2Dp it jumps from the headse to the first output, selecting headset again it is back in HSP). I have to restart bluetooth again and kill pulseaudio again then I can select it and change to A2DP finally and it keeps and works perfectly... until I disconnect the headset walking away or turn it off.

when I turn it back on again I get no output. looking at logs I see

[pulseaudio] sink-input.c: Failed to create sink input: sink is suspended.

any attempt to play audio this error appears. Doing all the "tricks" above ALSO does nothing to fix the sink issue. I have to now change the profile from A2DP back to HSP, then click test a few times and the headset connects, but I can not change it to A2DP again as it jumps up to top output again.

Now at this point I have to do all of the first tricks again (kill pulse, restart blue, etc) and then SOMETIMES I can select A2DP again and it will work again, but many times I have to do this 2 or more times before it will finally work

On a side note at least I was able to use my headset on 14.04 with both my computer and my cell phone at the same time, now that is impossible as it never works if the phone is connected

ccd (kontakt-x) wrote :

I've the same or similar issue with 16.04,

When i turn on my Headset and connect via Bluetooth, it starts with different Profiles depending on the previous status:

If I've previously used A2DP it will starts with off
If I've used HSP or switched back to it before turning the headset off, it starts with HSP

Workaround:

If It starts with Off, i can't select A2DP it always jumps back, but if I select HSP manually, turn the Headset off and on again it will now start with Profile HSP and I'm now able to select A2DP, if I switch back to the HSP Profile, before turning my Headset off / disconnecting it, it will also work the next start, if I stay on the A2DP Profile before turning off / disconnecting, I've to redo the Workaround steps from beginning.

It looks like the driver (or whatever) can't handle to start with A2DP Profile. It was really painfull until I've read about the workaround in another forum, it is still annoying but at least i don't need to restart any services or make a reboot

Hey,

@all this is to inform that we are aware of these issues and will be investing time into improving the headsets experience.

tags: added: papercuts2017
svan001 (stephane-gronowski) wrote :

Same for me, my new bluetooth speaker is paired but I can't stream the audio to it.
Someone posted a fix for this (worked for me and other people) at askubuntu here (first answer) : http://askubuntu.com/questions/689281/pulseaudio-can-not-load-bluetooth-module-15-10-16-04-16-10

seems pulseausio / X11 related

The Bluetooth device works as an audio output device just fine in the live session. Perhaps this is broken by some update? I tried downgrading all PulseAudio-related packages to the original release versions, but no luck.

Re comment #167: The fix does not work for me (Ubuntu GNOME 16.10).

I got a bluetoothd crash, but I cannot get apport to report it (nothing happens if I select the option to send an error report). I have saved the .crash file and can attach it here if required.

Bluetooth audio works on KDE (Kubuntu). If KDE (kubuntu-desktop) is installed alongside GNOME, it works on GNOME as well(!).

Sorry for the comments above, it was my mistake. The fix reported about in comment #167 does indeed work.

tags: added: a2dp
summary: - [Bluetooth + 14.04] Bluetooth headsets are not working after last couple
- of updates
+ Bluetooth headset/speakers listed but not selectable in Sound settings
Changed in pulseaudio (Ubuntu):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Changed in bluez (Ubuntu):
status: Confirmed → Invalid
description: updated
description: updated
description: updated
description: updated
description: updated
Jeremy Bicha (jbicha) on 2017-05-28
no longer affects: bluez (Ubuntu Xenial)
Changed in pulseaudio (Ubuntu Xenial):
importance: Undecided → High
status: New → Triaged
Changed in pulseaudio (Ubuntu):
status: In Progress → Fix Released
Changed in pulseaudio (Ubuntu Xenial):
status: Triaged → In Progress
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in pulseaudio (Ubuntu):
assignee: Daniel van Vugt (vanvugt) → nobody
description: updated

Hello Fabien, or anyone else affected,

Accepted pulseaudio into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pulseaudio/1:8.0-0ubuntu3.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pulseaudio (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Daniel van Vugt (vanvugt) wrote :

Verified. Using the proposed packages my bluetooth audio device is no longer randomly unselectable.

Can we get an update for Zesty?

Daniel van Vugt (vanvugt) wrote :

Zesty already contains the latest release (and all fixes):
https://launchpad.net/ubuntu/+source/pulseaudio

So if you have a problem with zesty, please log a new bug.

Even after applying all updates on Ubuntu GNOME 17.04, my Bluetooth audio device doesn't show up in the Sound settings. The workaround mentioned in comment #167 still works.

tags: added: verification-done-xenial
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:8.0-0ubuntu3.3

---------------
pulseaudio (1:8.0-0ubuntu3.3) xenial; urgency=medium

  [Luke Yelavich, Konrad Zapałowicz]
  * Fixed multiple interrelated problems with using Bluetooth audio (A2DP),
    where users would experience some combination of:
    - Bluetooth headset/speakers listed but not selectable in Sound settings
      (LP: #1283003)
    - [regression] Bluetooth audio no longer supports A2DP (stuck in HSP/HFP
      mode) (LP: #1438510)
    - [xenial] Bluetooth device doesn't play any sound in A2DP mode unless set
      to HSP/HFP first (LP: #1582213)
  * Specific patches from upstream used to address the above problems:
    - 0103-bluetooth-Add-support-for-automatic-switch-between-h.patch
    - 0104-bluetooth-Add-support-for-automatic-switch-bluez5.patch
    - 0106-bluetooth-Add-optional-heuristic-for-switching-betwe.patch
      . Backport from upstream to fix a bug in Xenial where an incorrect
        audio profile is applied for a headset connected over Bluetooth
        making using it impossible.
    - 0105-bluetooth-policy-do-A2DP-profile-restoring-a-bit-lat.patch
      . Fix a crash that happens if the BT headset is the only non-monitor
        source in the system and the last "phone" stream dies.
    - 0700-pulsecore-add-new-card-profile-hook.patch
      . Backport from upstream (commit 7b6260140149) to allow for correct
        profile selection.
    - 0701-bluetooth-bluez5-wait-for-all-profiles-to-connect.patch
      . Backport from upstream waiting for all profiles to connect before
        creating a card.

 -- Daniel van Vugt <email address hidden> Tue, 23 May 2017 16:24:14 +0800

Changed in pulseaudio (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pulseaudio has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Displaying first 40 and last 40 comments. View all 177 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.